Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.event.window
Class CreateEventParam

    java.lang.Object
      org.mozilla.jrex.event.window.CreateEventParam

public class CreateEventParam
extends Object

The class wrapping the create window event parameters.

Version:
  1.0
Author:
  C.N.Medappa

Constructor Summary
`CreateEventParam(int parentWindow, long chromeFlags, int contextFlags, String uri)` CreateEventParam constructor

Method Summary
`long` | `getChromeFlags()` Returns the chrome flags to used for window creation.
`int` | `getContextFlags()` Returns context flags to used for window creation.
`int` | `getParentWindow()` Returns the parent browser component of the browser to be created.
`String` | `getURI()` Returns the uri for which window creation is requested.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CreateEventParam

    public CreateEventParam(int parentWindow,
                            long chromeFlags,
                            int contextFlags,
                            String uri)

  CreateEventParam constructor

Parameters:
  `parentWindow` - parent browser component of the browser to be created.
  `chromeFlags` - chrome flags to used for window creation.
  `contextFlags` - context flags to used for window creation.
  `uri` - uri for which window creation is requested.
See Also:
  `WindowEventConstants`

Method Detail

### getParentWindow

    public int getParentWindow()

  Returns the parent browser component of the browser to be created.

### getChromeFlags

    public long getChromeFlags()

  Returns the chrome flags to used for window creation.

### getContextFlags

    public int getContextFlags()

  Returns context flags to used for window creation.

### getURI

    public String getURI()

  Returns the uri for which window creation is requested.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.